$bases: primary, secondary, tertiary;

:root {
  --container-padding-height: 64px;
  --sub-tab-height: 48px;
  --table-header-height: 330px;
}

@mixin scrollbar($size, $color) {
  ::-webkit-scrollbar {
    width: $size;
    height: $size;
  }

  ::-webkit-scrollbar-thumb {
    background: $color;
  }

  ::-webkit-scrollbar-track {
    background: transparent;
  }
}

body {
  background: var(--background2);

  // .dropdown-list-menu::after {
  //   border-color: #8486a1 transparent transparent;
  //   border-style: solid;
  //   border-width: 0.375rem 0.25rem 0;
  //   content: "";
  //   display: block;
  //   flex-shrink: 0;
  //   height: 0;
  //   width: 0;
  // }

  div.container {
    width: 1200px;

    .text-primary {
      color: var(--primary);
    }

    .text-secondary {
      color: var(--secondary);
    }

    .text-tertiary {
      color: var(--tertiary);
    }
  }

  .bg-primary {
    background: var(--primary);
  }

  .bg-secondary {
    background: var(--secondary);
  }

  .bg-tertiary {
    background: var(--tertiary);
  }

  .border-background-4 {
    border-color: var(--background4);
  }

  .el-dialog {
    &.custom-dialog-rounded-2xl {
      @include scrollbar(5px, var(--primary));
      @apply rounded-2xl;

      .el-dialog__body {
        @apply rounded-tr-2xl rounded-tl-2xl mt-[-30px];

        .custom-header {
          @apply rounded-tr-2xl rounded-tl-2xl mt-[-30px] mx-[-20px] p-3 text-white text-lg text-center font-extrabold;
          background: var(--primary);
        }

        .custom-content {
          @apply max-h-[80vh] overflow-hidden overflow-y-auto;
        }
      }

      .el-dialog__headerbtn {
        @apply bg-white rounded-full p-1 right-2 flex items-center;
        width: unset;
        height: unset;

        .el-dialog__close {
          @apply text-3xl;
          color: var(--primary);
        }
      }
    }
  }

  .content-product-tab-hover-animated {
    top: 113px;
    transition: height 0.8s linear;
  }

  .container:has(a.menu-tab-hover-animated):hover .content-product-tab-hover-animated {
    height: auto;
  }

  a {
    &.menu-tab-hover-animated {
      &.active-menu {
        &:before {
          transform: scaleX(1);
        }

        &:after {
          width: 100%;
          left: 0;
        }
      }

      &:before {
        content: "";
        position: absolute;
        display: block;
        width: 100%;
        height: 0.125rem;
        bottom: 0;
        left: 0;
        background: var(--selected);
        transform: scaleX(0);
        transition: transform 0.3s ease;
      }

      &:after {
        background: none repeat scroll 0 0 transparent;
        bottom: 0;
        content: "";
        display: block;
        height: 0.125rem;
        left: 50%;
        position: absolute;
        background: var(--selected);
        transition: width 0.3s ease 0s, left 0.3s ease 0s;
        width: 0;
      }

      &:hover {
        color: var(--selected);

        &:before {
          transform: scaleX(1);
        }

        &:after {
          width: 100%;
          left: 0;
        }
      }
    }
  }
}

@media only screen and (max-width: 1025px) {
  .menu-tab-hover-animated {
    text-align: center;
    flex-direction: column;
    justify-content: center;

    img {
      margin-left: 0;
    }
  }
}

.sub-tabs {
  @apply flex space-x-2;

  .selected,
  &:hover {
    border-radius: unset;
    border-bottom: 3px solid var(--primary);
    color: var(--primary);
  }
}

.vertical-sub-tabs>* {
  @apply flex items-center;
  height: 48px;
  border-radius: 5px;
  border: solid 1px var(--border);
  padding: 10px;
  position: relative;
}

.vertical-sub-tabs {
  @apply flex flex-col space-y-2;
}

.btn {
  @apply border-0 inline-block text-center text-white duration-300 cursor-pointer min-w-[100px];

  &:hover {
    color: #000;
  }

  &.--primary {
    background: var(--primary);
  }

  &.--secondary {
    background: var(--secondary);
  }

  &.--tertiary {
    background: var(--tertiary);
  }
}

h2 {
  @apply text-sm text-white;
}

p {
  @apply text-sm;
}

.animation-dialog.el-dialog {
  --el-dialog-margin-top: 0;
  margin: 0;
}

.animation-dialog.el-dialog .el-dialog__body {
  padding: 0;
}

.animation-dialog.el-dialog .el-form--label-top .el-form-item .el-form-item__label {
  margin-bottom: 0;
}

.animation_dialog .dialog-fade-enter-active {
  background: transparent;
  animation: fadeBottomtoTop 1s ease backwards;
}

.animation_dialog .dialog-fade-leave-active {
  animation: fadeTopToBottom 1s ease backwards;
  opacity: 1;
}

.animation_dialog .dialog-fade-leave-active .el-overlay-dialog {
  animation: none;
}

@keyframes fadeBottomtoTop {
  0% {
    transform: translate(0, 500px);
    opacity: 1;
  }

  100% {
    transform: translate(0, 0);
    opacity: 1;
  }
}

@keyframes fadeTopToBottom {
  0% {
    transform: translate(0, 0);
    opacity: 1;
  }

  100% {
    transform: translate(0, 1000px);
    opacity: 1;
  }
}

.sidebar-dialog .el-dialog__header {
  padding: 0;
}

.sidebar-dialog.el-dialog {
  --el-dialog-margin-top: 0;
  --el-dialog-bg-color: var(--background2);
  margin-right: 0;
  margin-bottom: 0;
  min-height: 100%;
}

.sbo-sidebar .sidebar-dialog.el-dialog {
  margin-left: 0;
  margin-right: unset;
}

.sidebar-dialog.el-dialog .el-dialog__body {
  padding: 0;
}

.sidebar-dialog.el-dialog .el-form--label-top .el-form-item .el-form-item__label {
  margin-bottom: 0;
}

.sidebar .dialog-fade-enter-active {
  background: transparent;
  animation: fadeLeftToRight 1s ease backwards;
}

.sidebar .dialog-fade-leave-active {
  background: transparent;
  animation: fadeRightToLeft 2s ease backwards;
}

.sbo-sidebar .dialog-fade-enter-active {
  background: transparent;
  animation: sboFadeLeftToRight 1s ease backwards;
}

.sbo-sidebar .dialog-fade-leave-active {
  background: transparent;
  animation: sboFadeRightToLeft 2s ease backwards;
}

.sidebar .dialog-fade-leave-active .el-overlay-dialog,
.sbo-sidebar .dialog-fade-leave-active .el-overlay-dialog {
  animation: none;
}

.sbosidebar .dialog-fade-enter-active {
  background: transparent;
  animation: sboFadeUp 1s ease backwards;
}

.sbosidebar .dialog-fade-leave-active {
  background: transparent;
  animation: sboFadeDown 2s ease backwards;
}

.sidebar .dialog-fade-leave-active .el-overlay-dialog,
.sbosidebar .dialog-fade-leave-active .el-overlay-dialog {
  animation: none;
}

@keyframes fadeLeftToRight {
  0% {
    transform: translateX(500px);
    opacity: 1;
  }

  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes fadeRightToLeft {
  0% {
    transform: translateX(0);
    opacity: 1;
  }

  100% {
    transform: translateX(1000px);
    opacity: 1;
  }
}

@keyframes sboFadeLeftToRight {
  0% {
    transform: translateX(-500px);
    opacity: 1;
  }

  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes sboFadeRightToLeft {
  0% {
    transform: translateX(0);
    opacity: 1;
  }

  100% {
    transform: translateX(-1000px);
    opacity: 1;
  }
}

@keyframes sboFadeUp {
  0% {
    transform: translateY(500px);
    opacity: 1;
  }

  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

@keyframes sboFadeDown {
  0% {
    transform: translateY(0);
    opacity: 1;
  }

  100% {
    transform: translateY(500px);
    opacity: 1;
  }
}

.card-title {
  @apply absolute right-[8px] justify-end z-10 leading-[14px] font-black flex items-center text-right uppercase;
  top: calc(50% - 14px / 2 + 1px);
  color: var(--text5);
  font-size: 3vw;
  text-shadow: 0px 0px 4px rgba(0, 0, 0, 0.25);
}

.home-bg {
  @apply absolute w-[160px] h-[70px] bottom-0;
  left: calc(50% - 160px / 2);
}

.card-bg {
  @apply absolute w-[160px] h-[70px] left-0 top-0 opacity-[0.7];
}

.left-bg {
  @apply absolute inset-0;
  border-radius: 0px 8px 8px 0px;
}

.bg-shadow {
  @apply absolute left-[0%] right-[0%] top-[0%] bottom-[0%] rounded-lg;
  background: var(--background5);
}

.bg-eyes {
  background-color: var(--text5);
}

.theme-wrapper {
  display: flex;
  min-height: 100vh;
  flex-direction: column;
  justify-content: flex-start;
}